# Action::Rename Class Reference

Rename a file to its metadate creation timestamp, in the specified format. More...

`#include <actions.hpp>`

Inheritance diagram for Action::Rename:

[legend]
Collaboration diagram for Action::Rename:

[legend]
List of all members.

## Public Types

typedef std::auto_ptr< Rename > | AutoPtr
| Shortcut for an auto pointer.

## Public Member Functions

virtual int | run (const std::string &path)
| Application interface to perform a task.
AutoPtr | clone () const
| Virtual copy construction.

## Detailed Description

Rename a file to its metadate creation timestamp, in the specified format.

## Member Function Documentation

int Action::Rename::run | ( | const std::string & | path | ) | `[virtual]`

Application interface to perform a task.

Parameters:

  | path | Path of the file to process.

Returns:
  0 if successful.

Implements Action::Task.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp